Example request
curl -G 'https://service-sandbox.tazapay.com/v3/payout/bank' \
--data-urlencode 'country=AU' \
--data-urlencode 'code_type=swift_code' \
--data-urlencode 'search_text=BKCHAU2AP' \
--data-urlencode 'limit=20' \
--data-urlencode 'offset=10'import requests
url = "https://service-sandbox.tazapay.com/v3/payout/bank"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/payout/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"has_more": false,
"object": "list",
"results": [
{
"address": {
"city": "SYDNEY",
"country": "AU",
"line1": "",
"line2": "",
"postal_code": "2000",
"state": "NSW"
},
"bank_codes": {
"bsb_code": "980202",
"swift_code": "BKCHAU2APAR"
},
"bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
"country_code": "AU",
"id": "bke_d7ag8hfhambilrokaoog",
"matched_on": {
"swift_code": "BKCHAU2APAR"
},
"object": "bank"
},
{
"address": {
"city": "PERTH",
"country": "AU",
"line1": "",
"line2": "",
"postal_code": "6000",
"state": "WA"
},
"bank_codes": {
"bsb_code": "980600",
"swift_code": "BKCHAU2APTH"
},
"bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
"country_code": "AU",
"id": "bke_d7ag8h7hambilrok50bg",
"matched_on": {
"swift_code": "BKCHAU2APTH"
},
"object": "bank"
}
]
}
}Payout
List banks
search and retrieve bank entities from global bank directory [GET]
GET
/
v3
/
payout
/
bank
Example request
curl -G 'https://service-sandbox.tazapay.com/v3/payout/bank' \
--data-urlencode 'country=AU' \
--data-urlencode 'code_type=swift_code' \
--data-urlencode 'search_text=BKCHAU2AP' \
--data-urlencode 'limit=20' \
--data-urlencode 'offset=10'import requests
url = "https://service-sandbox.tazapay.com/v3/payout/bank"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/payout/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"has_more": false,
"object": "list",
"results": [
{
"address": {
"city": "SYDNEY",
"country": "AU",
"line1": "",
"line2": "",
"postal_code": "2000",
"state": "NSW"
},
"bank_codes": {
"bsb_code": "980202",
"swift_code": "BKCHAU2APAR"
},
"bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
"country_code": "AU",
"id": "bke_d7ag8hfhambilrokaoog",
"matched_on": {
"swift_code": "BKCHAU2APAR"
},
"object": "bank"
},
{
"address": {
"city": "PERTH",
"country": "AU",
"line1": "",
"line2": "",
"postal_code": "6000",
"state": "WA"
},
"bank_codes": {
"bsb_code": "980600",
"swift_code": "BKCHAU2APTH"
},
"bank_name": "BANK OF CHINA (AUSTRALIA) LIMITED",
"country_code": "AU",
"id": "bke_d7ag8h7hambilrok50bg",
"matched_on": {
"swift_code": "BKCHAU2APTH"
},
"object": "bank"
}
]
}
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
ISO 3166-1 alpha-2 country code
Example:
"IN"
Search text (minimum 3 characters)
Minimum string length:
3Example:
"HDFC"
Type of bank code to search
Available options:
swift_code, sort_code, aba_code, bsb_code, ifsc_code, iban, bank_name Example:
"ifsc_code"
Maximum number of results (<= 50)
Required range:
1 <= x <= 50Example:
10
Pagination offset
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I